Doomsday Engine - Bug #1720

[multiplayer] client seg fault when something moves
2014-01-25 21:35 - vermil

Status: Closed Start date: 2014-01-25
Priority: Normal % Done: 100%
Assignee: danij

Category: Regression

Target version: 1.14

Description

Pretty much what the subject says; in the latest unstable build (1119) when anything moves in a multiplayer game, monster or player
(though the player can mouselook around without issue), the client segfaults. Though the server remains running.

Also if one fires a weapon right before it segfaults (i.e which alerts monsters who promptly move and cause a crash), the player is
unable to re-join until the server changes maps; otherwise it seems Dday tries to immediately repeat the gunshot, which caused the
crash the first time, with the same fatal results.

History

#1 - 2014-01-27 11:45 - danij

- Status changed from New to Resolved
- Assignee set to danij

- Target version set to 1.14

- % Done changed from 0 to 100

#2 - 2014-02-04 19:36 - skyjake

- Status changed from Resolved to Closed
